Package org.eclipse.compare

## Interface INavigatable

    public interface INavigatable

Interface that allow clients to navigate through the changes shown in a compare pane.

This interface may be implemented by clients.

Since:
  3.3
See Also:
  `ICompareNavigator`

### Field Summary

Fields
`static int` `FIRST_CHANGE` Change flag used to navigate to the first change.
`static int` `LAST_CHANGE` Change flag used to navigate to the last change.
`static String` `NAVIGATOR_PROPERTY` Property key that can be used to associate an instance of this interface with an SWT widget using `Widget.setData(String, Object)`.
`static int` `NEXT_CHANGE` Change flag used to navigate to the next change.
`static int` `PREVIOUS_CHANGE` Change flag used to navigate to the previous change.

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getInput()` Return the input of the compare pane being navigated or `null` if the pane does not have an input.
`boolean` `hasChange​(int changeFlag)` Return whether a call to `selectChange(int)` with the same parameter would succeed.
`boolean` `openSelectedChange()` Request that the currently selected change be opened.
`boolean` `selectChange​(int changeFlag)` Starting from the current selection `selectChange` selects and reveals the specified change.

### Field Detail

#### NAVIGATOR_PROPERTY

    static final String NAVIGATOR_PROPERTY

Property key that can be used to associate an instance of this interface with an SWT widget using `Widget.setData(String, Object)`.

See Also:
  Constant Field Values

#### NEXT_CHANGE

    static final int NEXT_CHANGE

Change flag used to navigate to the next change.

See Also:
  `selectChange(int)`, Constant Field Values

#### PREVIOUS_CHANGE

    static final int PREVIOUS_CHANGE

Change flag used to navigate to the previous change.

See Also:
  `selectChange(int)`, Constant Field Values

#### FIRST_CHANGE

    static final int FIRST_CHANGE

Change flag used to navigate to the first change.

See Also:
  `selectChange(int)`, Constant Field Values

#### LAST_CHANGE

    static final int LAST_CHANGE

Change flag used to navigate to the last change.

See Also:
  `selectChange(int)`, Constant Field Values

### Method Detail

#### getInput

    Object getInput()

Return the input of the compare pane being navigated or `null` if the pane does not have an input.

Returns:
  the input of the compare pane being navigated or `null`

#### selectChange

    boolean selectChange​(int changeFlag)

Starting from the current selection `selectChange` selects and reveals the specified change. If the end (or beginning) is reached, the method returns `true`.

Parameters:
  `changeFlag` - the change to be selected. One of `NEXT_CHANGE`, `PREVIOUS_CHANGE`, `FIRST_CHANGE` or `LAST_CHANGE`.
Returns:
  returns `true` if end (beginning) is reached, `false` otherwise

#### hasChange

    boolean hasChange​(int changeFlag)

Return whether a call to `selectChange(int)` with the same parameter would succeed.

Parameters:
  `changeFlag` - the change to be selected. One of `NEXT_CHANGE` or `PREVIOUS_CHANGE`
Returns:
  whether a call to `selectChange(int)` with the same parameter would succeed.

#### openSelectedChange

    boolean openSelectedChange()

Request that the currently selected change be opened. Return `true` if the request resulted in the change being opened and `false` if the currently selected change could not be opened.

Returns:
  whether the selected change was opened.